Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.eepic
Class EepicViewFactory.EllipseView

    java.lang.Object
      jpicedt.graphic.view.AbstractView
          jpicedt.graphic.view.DefaultViewFactory.LeafElementView
              jpicedt.graphic.view.DefaultViewFactory.EllipseView
                  jpicedt.format.output.eepic.EepicViewFactory.EllipseView

All Implemented Interfaces:
  View, ViewConstants

Enclosing class:
  EepicViewFactory

public class EepicViewFactory.EllipseView
extends DefaultViewFactory.EllipseView

view for ellipses specific to the Epic/Eepic content type.

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.EllipseView
`arrowEnd, arrowEndDir, arrowStart, arrowStartDir, arrowStroke, ptAngleEnd, ptAngleStart`

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`interiorPaint, lineWidth, outlinePaint, outlineStroke, overStrikeWidth, shadowBounds, shape`

Fields inherited from class jpicedt.graphic.view.AbstractView
`bounds, element, highlighter`

Fields inherited from interface jpicedt.graphic.view.ViewConstants
`BARBELL_SIZE, CLICK_DISTANCE`

Constructor Summary
`EepicViewFactory.EllipseView(PicEllipse ellipse)` Construct a View for the given PicEllipse.

Method Summary
`void` | `changedUpdate(DrawingEvent.EventType eventType)` Give notification from the model that a change occured for an element this view is responsible for rendering.
`protected void` | `syncAttributes()` Inherits from superclass, except for elliptic arcs, which are never filled, as well as rotated ellipses.

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.EllipseView
`paint, syncShape`

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`getViewFactory, hitTest, syncBounds`

Methods inherited from class jpicedt.graphic.view.AbstractView
`getBounds, getContainer, getDrawing, getElement, getGraphics, getHighlighter, getParentView, hitTest, paintHighlighter, repaint, setElement, setHighlighter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepicViewFactory.EllipseView

    public EepicViewFactory.EllipseView(PicEllipse ellipse)

  Construct a View for the given PicEllipse.

  Following rules apply for the Epic/Eepic content type :

  - Arcs (circular or elliptic) and ellipse can be rendered -> inherited from DefaultViewFactory. [pending] bug : only OPEN arc ! No PIE !
  - Ellipse and circulars arcs can be filled only if surrounding parallelogram is a rectangle parallel to X and Y axes
  - Elliptic arcs can't be filled anyway.
  - Supported fill-colours are BLACK, GRAY and WHITE.
  - Only solid stroke is supported [pending] implementation in formatter

Method Detail

### changedUpdate

    public void changedUpdate(DrawingEvent.EventType eventType)

  Give notification from the model that a change occured for an element this view is responsible for rendering.

  Specified by:
    `changedUpdate` in interface `View`
  Overrides:
    `changedUpdate` in class `DefaultViewFactory.LeafElementView`

### syncAttributes

    protected void syncAttributes()

  Inherits from superclass, except for elliptic arcs, which are never filled, as well as rotated ellipses. Conversely, circles, circular arcs and non-rotated ellipses are always filled.

  Overrides:
    `syncAttributes` in class `DefaultViewFactory.LeafElementView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org